Subject: [spring] Re: Question for the working group
From: <[email-masked]>
To: <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Mar 2026 17:22:12 +0800 (CST)
List-Id: "Source Packet Routing in NetworkinG (SPRING)" <spring.ietf.org>

Hi Joel,

Thanks for putting this out for discussion.
From my understanding, it's more like bullet 1), an MNA Substack may never be considered a segment in the sense of RFC9256 section 4. An segment of the segment list is either an MPLS label/SRv6 SID or the context that can be resolved to an MPLS label/SRv6 SID. At least an MNA Substack is not one of the existing segment types. 

Regards,
Yao

Original

From: JoelHalpern <[email-masked]>
To: SPRING WG List <[email-masked]>;
Date: 2026年03月07日 01:26
Subject: [spring] Question for the working group

In regard to Segment Routing Policy as defined by RFC 9256 and the MPLS  
Network Action (MNA) work that is being standardized by the MPLS working  
group, please express an opinion as to whether:
 
1) An MNA Substack may never be considered a segment in the sense of RFC  
9256 section 4;
 
2) Some MNA substacks may be considered segments in the sense of RFC  
9256 Section 4 (possibly with a new segment type, possibly with an  
existing segment type)
 
3) MNA substacks are segments in the sense of RFC 9256 section 4  
(possibly with a new segment type, possibly with an existing segment type)
 
Yours,
 
Joel (with Alvaro and Bruno)
 
_______________________________________________
spring mailing list -- [email-masked]
To unsubscribe send an email to [email-masked]